Package Details: linux-amd-staging-drm-next-git-docs 5.3.839842.40cc64619a25-1

Git Clone URL: https://aur.archlinux.org/linux-amd-staging-drm-next-git.git (read-only)
Package Base: linux-amd-staging-drm-next-git
Description: Kernel hackers manual - HTML documentation that comes with the Linux-amd-staging-drm-next-git kernel
Upstream URL: https://cgit.freedesktop.org/~agd5f/linux/
Keywords: amd amdgpu dal dc radeon vega
Licenses: GPL2
Submitter: yurikoles
Maintainer: yurikoles
Last Packager: yurikoles
Votes: 18
Popularity: 0.049105
First Submitted: 2017-08-24 18:09
Last Updated: 2019-06-02 07:58

Dependencies (8)

Required by (0)

Sources (5)

Pinned Comments

yurikoles commented on 2017-09-25 18:29

Pull-requests are welcome: https://github.com/yurikoles/linux-amd-staging-drm-next-git

Please report bugs upstream: https://bugs.freedesktop.org/ or amd-gfx mailing list.

Please make sure that build output is not localized by adding LC_ALL=C in front of command that you use to build a kernel, e.g. LC_ALL=C makepkgs -si

Latest Comments

1 2 3 4 5 Next › Last »

bibinne commented on 2019-05-07 13:28

Hi,

I get the exact samedi error than radmen : c (exception: cannot import name 'AutodocReporter' from 'sphinx.ext.autodoc' (/usr/lib/python3.7/site-packages/sphinx/ext/autodoc/init.py))

radmen commented on 2019-05-06 22:35

Failed with the following error: Could not import extension kerneldoc (exception: cannot import name 'AutodocReporter' from 'sphinx.ext.autodoc' (/usr/lib/python3.7/site-packages/sphinx/ext/autodoc/init.py))

Quite possible that package python-sphinx will fix this. Can't verify it now because build takes literally hours and it seems that on each install attempt compiled sources are removed so everything has to be compiled once again.

// Edit: python-sphinx package was already installed. Can't say way I got this error :/

yurikoles commented on 2019-02-05 09:16

@kmaris fixed!

kmaris commented on 2019-01-30 15:39

export LC_ALL=C; makepkg -si

I'm getting this error during header package build:

==> Starting package_linux-amd-staging-drm-next-git-headers()...
  -> Installing build files...
  -> Installing headers...
install: cannot stat 'arch/x86/kernel/macros.s': No such file or directory
==> ERROR: A failure occurred in package_linux-amd-staging-drm-next-git-headers().
    Aborting...

yurikoles commented on 2019-01-04 22:12

@mikearch I put 4.21 in pkgver, because this branch contains material that is targeted for 4.21, but Makefile contains 4.20rc3, and this version is used for compatibility with dkms and others.

mikearch commented on 2019-01-04 22:04

It pulls,builds and install 4.20rc3 for me. It says it's pulling and building 4.21, but it says it's preparing 4.20rc3. Installing it and running it with a uname shows me it's running 4.20rc3. Did something change in the script?

Feanor1397 commented on 2018-12-08 19:35

Missing arch/x86/kernel/macros.s when building modules with dkms

Teyro commented on 2018-11-28 15:18

Hi there,

Is there a chance to get the main kernel with patches? 4.20 is to new for some kernel modules....

yurikoles commented on 2018-11-02 08:49

@gort818 fixed

gort818 commented on 2018-11-01 23:39

Failed to validate config.x86_64 ... FAILED